Pre-release — content may change.

Jobs and imports

Update a resource archive task

PATCH
/resource_archive_tasks/{id}

Applies a state-machine transition (state_event) to the task — e.g. start to begin the dependency check, or archive to confirm archival.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Resource archive task UUID.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/resource_archive_tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "data": {      "type": "resource_archive_tasks",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"    }  }'
{  "data": {    "type": "resource_archive_tasks",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "attributes": {      "state": "string",      "available_state_events": [        "string"      ],      "anonymize": true,      "reason": "string",      "relationship_counts": {},      "restricted_relationship_counts": {},      "relationship_counts_messages_en": [        {          "key": "string",          "message": "string",          "count": 0        }      ]    },    "relationships": {      "created_by": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      },      "resource": {        "data": {          "type": "people",          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"        }      }    },    "links": {      "self": "/resource_archive_tasks/7247ad7d-9275-454b-9e3a-0570e403739e"    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}